<id>
Quick Reply Box for Add More Smilies 3 SP1/1.1/1.2/1.3 
</id>

<version>
1.3b
</version>

<mod info>
It's the most wanted vB feature: The quick reply box!

How to use: 
	1...Install the mod as normal and upload the modified files.
	2...Go to the "Forum Preferences and Settings", and check the box next to "Enable Quick Reply Box" if you want the quick reply box shown in the thread display.
	3...Go to the "Forum Preferences and Settings", and check the box next to "Enable Quick Post Box" if you want the quick post box shown in the message index.
	4...Also check the box next to "Show Smilies in Quick Post/Reply Box" if you want to show smiley buttons in the quick post/reply box.
	5...Then check out the bottom of the thread or message index....it's two boxes (subject and message) with buttons to post or reset!

New in version 1.1:
	- Admin option added to include a quick post box in the message index.
	- Now compatible with MBCO2 (users without post/reply access do not see the quick post/reply box)
	- Check added to prevent pressing the reply buttons more than once.
	- Now compatible with SP1, SP1.1 and SP1.2.
New in version 1.2:
	- Javascript improved to insert smilies at cursor position and prevent smilies "freezing" - suggested by Dummy Proof.
New in version 1.3:
	- A few minor code changes added.
New in version 1.3b:
	- Now compatible with "Add More Smilies" 3.0.

Note: Guests do not have access to the quick reply box, because they get an error anyway!

Credit goes to Krikkert for the original code, Colicab for putting it together, and Bhra Webmaster for fixing everything and adding all the options so it actually works! Additional thanks to Dummy Proof for beta testing and suggesting improvements.
</mod info>

<author>
BHRA Webmaster, Krikkert, Colicab
</author>

<homepage>
http://www.bhra.org.uk
</homepage>

###############################################################################

<edit file>
Sources/Display.pl
</edit file>

<search for>
	$yytitle = $msubthread;
</search for>

<add before>
### Quick Reply Box 1.3b ###

	### MBCO2 Reply access check ###
	if ($reply_users{$currentboard} || $reply_groups{$currentboard}) {
		my $access = &AccessCheck($currentboard, 2) || "";
		if ($access eq "denied") {$enable_quickreply = 0;}
	}
	### MBCO2 Reply access check ###

	if ($username ne "Guest" && $mstate != 1 && $enable_quickreply == 1) {
$yymain .= qq~
<form action="$cgi;action=post2" method="post" name="postmodify" onsubmit="postmodify.post.disabled=true; postmodify.clear.disabled=true;">
<input type="hidden" name="threadid" value="$viewnum">
<input type="hidden" name="icon" value="xx">
<table border=0 width="80%" cellspacing="1" cellpadding="4" bgcolor="$color{'bordercolor'}" class="bordercolor" align="center">
  <tr>
    <td align="center" class="titlebg" bgcolor="$color{'titlebg'}"><font size="2" class="text1" color="$color{'titletext'}"><b>$qrb_txt{'2'}</b></font></td>
  </tr>
  <tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}">
      <table width="100%" cellpadding="4" cellspacing="0">
        <tr>
          <td valign="top" width="23%"><font size="2"><b>$txt{'70'}:</b></font></td>
          <td><font size="2"><input type="text" name="subject" value="Re: $msubthread" size="40" style="width:100%"></td>
        </tr>~;

	### Add More Smilies 3.0 - Smiley List ###
	if ($enable_quicksmilies == 1) {
		if ($SmilieURL[0] eq "") {&LoadSmilies;}

		$showmore = 0; 
		$smilie_list = "";
		$smilie_more = "";
		for( my $i = 0; $i < @SmilieURL; $i++ ) {
			if ($SmilieURL[$i] =~ /\//i) {$tmpurl = $SmilieURL[$i];} else {$tmpurl = qq~$smiliesurl/$SmilieURL[$i]~;}
			($tmpCode, $dummy) = split (/\s+/, $SmilieCode[$i]); 
			$tmpCode =~ s/'/&#39;/g;
			if ($SmilieOption[$i] % 2 == 1) { $smilie_list .= qq~
                    document.write("<img src='$tmpurl' onclick='javascript:AddText(" + '" $tmpCode"' + ")' align='bottom' alt='$SmilieDescription[$i]' border='0' style='cursor:hand'> ");~;
			}
			if (int($SmilieOption[$i] / 4) % 2 == 1) {$showmore = 1;}
		}

		if ($showmore) {$smilie_more = qq~
                    document.write('<a href="$scripturl?action=smilieindex" target="_blank" onclick="' + "javascript: window.open('$scripturl?action=smilieindex', 'list', 'width=100,height=100,left=0,top=0,scrollbars=yes'); return false" + '">$smi_txt{'8'}</a>');~;
		}

		if ($smilie_list ne "" || $smilie_more ne "" ) {$yymain .= qq~
              <tr>
                <td width="23%"><font size="2"><b>$txt{'297'}:</b></font></td>
                <td valign="middle">
                  <script language="JavaScript1.2" type="text/javascript">
                  <!--
                  if((navigator.appName == "Netscape" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Microsoft Internet Explorer" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Opera" && navigator.appVersion.charAt(0) >= 4)) {$smilie_list$smilie_more
                  }
                  else { document.write("<font size='1'>$txt{'215'}</font>"); }
                  //-->
                  </script>
                  <noscript>
                    <font size="1">$txt{'215'}</font>
                  </noscript>
                </td>
              </tr>~;
		}
	}
	### Add More Smilies 3.0 - Smiley List ###

		$yymain .= qq~
        <tr>
          <td valign="top" width="23%"><font size="2"><b>$txt{'72'}:</b></font></td>
          <td><textarea name="message" rows="5" cols="60" wrap="soft" ONCLICK="javascript:storeCaret(this);" ONKEYUP="javascript:storeCaret(this);" ONCHANGE="javascript:storeCaret(this);" style="width:100%"></textarea></td>
        </tr>
      </table>
    </td>
  </tr>
  <tr>
    <td align="center" class="catbg" bgcolor="$color{'catbg'}"><input type="submit" name="post" value="$txt{'105'}" accesskey="s"> &nbsp; <input type="reset" name="clear" value="$txt{'278'}" accesskey="r"></td>
  </tr>
</table>
</form>
~;
	}

### Quick Reply Box 1.3b ###

</add before>

###############################################################################

<edit file>
Sources/MessageIndex.pl
</edit file>

<search for>
	$yytitle = $boardname;
</search for>

<add before>
### Quick Reply Box 1.3b ###

	### MBCO2 Post access check ###
	if ($start_users{$currentboard} || $start_groups{$currentboard}) {
		my $access = &AccessCheck($currentboard, 1) || "";
		if ($access eq "denied") {$enable_quickpost = 0;}
	}
	### MBCO2 Post access check ###

	if ($username ne "Guest" && $enable_quickpost == 1) {
$yymain .= qq~
<script language="JavaScript1.2" src="$ubbcjspath" type="text/javascript"></script>
<form action="$cgi;action=post2" method="post" name="postmodify" onsubmit="postmodify.post.disabled=true; postmodify.clear.disabled=true;">
<input type="hidden" name="threadid" value="">
<input type="hidden" name="icon" value="xx">
<table border=0 width="80%" cellspacing="1" cellpadding="4" bgcolor="$color{'bordercolor'}" class="bordercolor" align="center">
  <tr>
    <td align="center" class="titlebg" bgcolor="$color{'titlebg'}"><font size="2" class="text1" color="$color{'titletext'}"><b>$qrb_txt{'1'}</b></font></td>
  </tr>
  <tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}">
      <table width="100%" cellpadding="4" cellspacing="0">
        <tr>
          <td valign="top" width="23%"><font size="2"><b>$txt{'70'}:</b></font></td>
          <td><font size="2"><input type="text" name="subject" value="" size="40" style="width:100%"></td>
        </tr>~;

	### Add More Smilies 3.0 - Smiley List ###
	if ($enable_quicksmilies == 1) {
		if ($SmilieURL[0] eq "") {&LoadSmilies;}

		$showmore = 0; 
		$smilie_list = "";
		$smilie_more = "";
		for( my $i = 0; $i < @SmilieURL; $i++ ) {
			if ($SmilieURL[$i] =~ /\//i) {$tmpurl = $SmilieURL[$i];} else {$tmpurl = qq~$smiliesurl/$SmilieURL[$i]~;}
			($tmpCode, $dummy) = split (/\s+/, $SmilieCode[$i]); 
			$tmpCode =~ s/'/&#39;/g;
			if ($SmilieOption[$i] % 2 == 1) { $smilie_list .= qq~
                    document.write("<img src='$tmpurl' onclick='javascript:AddText(" + '" $tmpCode"' + ")' align='bottom' alt='$SmilieDescription[$i]' border='0' style='cursor:hand'> ");~;
			}
			if (int($SmilieOption[$i] / 4) % 2 == 1) {$showmore = 1;}
		}

		if ($showmore) {$smilie_more = qq~
                    document.write('<a href="$scripturl?action=smilieindex" target="_blank" onclick="' + "javascript: window.open('$scripturl?action=smilieindex', 'list', 'width=100,height=100,left=0,top=0,scrollbars=yes'); return false" + '">$smi_txt{'8'}</a>');~;
		}

		if ($smilie_list ne "" || $smilie_more ne "" ) {$yymain .= qq~
              <tr>
                <td width="23%"><font size="2"><b>$txt{'297'}:</b></font></td>
                <td valign="middle">
                  <script language="JavaScript1.2" type="text/javascript">
                  <!--
                  if((navigator.appName == "Netscape" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Microsoft Internet Explorer" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Opera" && navigator.appVersion.charAt(0) >= 4)) {$smilie_list$smilie_more
                  }
                  else { document.write("<font size='1'>$txt{'215'}</font>"); }
                  //-->
                  </script>
                  <noscript>
                    <font size="1">$txt{'215'}</font>
                  </noscript>
                </td>
              </tr>~;
		}
	}
	### Add More Smilies 3.0 - Smiley List ###

	$yymain .= qq~
        <tr>
          <td valign="top" width="23%"><font size="2"><b>$txt{'72'}:</b></font></td>
          <td><textarea name="message" rows="5" cols="60" wrap="soft" ONCLICK="javascript:storeCaret(this);" ONKEYUP="javascript:storeCaret(this);" ONCHANGE="javascript:storeCaret(this);" style="width:100%"></textarea></td>
        </tr>
      </table>
    </td>
  </tr>
  <tr>
    <td align="center" class="catbg" bgcolor="$color{'catbg'}"><input type="submit" name="post" value="$txt{'105'}" accesskey="s"> &nbsp; <input type="reset" name="clear" value="$txt{'278'}" accesskey="r"></td>
  </tr>
</table>
</form>
~;
	}

### Quick Reply Box 1.3b ###

</add before>

###############################################################################

<edit file>
Sources/AdminEdit.pl
</edit file>

<search for>
	if ($enable_ubbc) { $ubbcchecked = ' checked'; }
</search for>

<add before>
	if ($enable_quickpost) { $quickpostchecked = ' checked'; }
	if ($enable_quickreply) { $quickreplychecked = ' checked'; }
	if ($enable_quicksmilies) { $quicksmilieschecked = ' checked'; }
</add before>

<search for>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$txt{'378'}</font></td>
</search for>

<add before>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$qrb_txt{'3'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type="checkbox" name="enable_quickpost"$quickpostchecked></td>
  </tr><tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$qrb_txt{'4'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type="checkbox" name="enable_quickreply"$quickreplychecked></td>
  </tr><tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$qrb_txt{'5'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type="checkbox" name="enable_quicksmilies"$quicksmilieschecked></td>
  </tr><tr>
</add before>

<search for>
	$guestaccess = $guestaccess ? 0 : 1;
</search for>

<add before>
	$enable_quickpost = $FORM{'enable_quickpost'} ? 1 : 0;
	$enable_quickreply = $FORM{'enable_quickreply'} ? 1 : 0;
	$enable_quicksmilies = $FORM{'enable_quicksmilies'} ? 1 : 0;
</add before>

<search for>
\$enable_ubbc = $enable_ubbc;				# Set to 1 if you want to enable UBBC (Uniform Bulletin Board Code)
</search for>

<add before>
\$enable_quickpost = $enable_quickpost;					# Set to 1 if you want to enable the quick post box
\$enable_quickreply = $enable_quickreply;				# Set to 1 if you want to enable the quick reply box
\$enable_quicksmilies = $enable_quicksmilies;				# Set to 1 if you want to show smilies in the quick reply box
</add before>

###############################################################################

<edit file>
english.lng
</edit file>

<search for>
1;
</search for>

<add before>

### Quick Reply Box 1.3b ###
$qrb_txt{'1'} = "Quick Post Box";
$qrb_txt{'2'} = "Quick Reply Box";
$qrb_txt{'3'} = "Enable Quick Post Box?";
$qrb_txt{'4'} = "Enable Quick Reply Box?";
$qrb_txt{'5'} = "Show Smilies in Quick Post/Reply Box?";
### Quick Reply Box 1.3b ###

</add before>
